Bug 178607 - Anaconda barfs at end of installation writing kickstart file
Anaconda barfs at end of installation writing kickstart file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 07:53 EST by Andy Burns
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-22 11:04:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Burns 2006-01-22 07:53:14 EST
Description of problem:

Perorming graphical install, all going well until final stage(s), anaconda
backtraced apparently while writing kickstart file, happily the installatioon
was essentially complete at this point and did leave a bootable installation.

Version-Release number of selected component (if applicable):

rawhide 2006-01-20

Actual results:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 1238, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 245, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 945, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 85, in writeKSConfiguration
    id.writeKS(fn)
TypeError: writeKS() takes exactly 3 arguments (2 given)

Local variables in innermost frame:
instPath: /mnt/sysimage
fn: /mnt/sysimage/root/anaconda-ks.cfg
id: <instdata.InstallData instance at 0x2b010c167c20>

Note You need to log in before you can comment on or make changes to this bug.